<?php
/**
 * @file
 * API Functions for comment_fields
 *
 * @ingroup comment_fields
 * @{
 */

/**
 * Implements hook_comment_fields_info_alter().
 *
 * Alter the value of $info.
 *
 * @param array &$info
 *
 * @return NULL
 *
 * @see comment_fields_info()
 */
function hook_comment_fields_info_alter(&$info) {
  $info['page'] = array(
    'feeling' => array(
      '#title' => t('How did reading this make you feel?'),
      '#type' => 'radios',
      '#default_value' => 'neutral',
      '#options' => array(
        'bad' => t('Bad'),
        'neutral' => t('Indifferent'),
        'good' => t('Good'),
      ),
    ),
    'gender' => array(
      '#title' => t('What is your gender?'),
      '#type' => 'select',
      '#default_value' => 'neutral',
      '#required' => TRUE,
      '#options' => array(
        NULL => t('-Please choose-'),
        'm' => t('Male'),
        'f' => t('Female'),
      ),
    ),
  );
}
